<?php
/**
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 */

/* diese Zeile nicht aendern!! */
defined('mxMainFileLoaded') or die('access denied');

/**
 * die beiden Schriftzuege im Headbereich, wenn nichts angegeben
 * wird, dann wird der Sitenname und der Seitenslogan verwendet
 * Um die Farben im Titel zu wechseln, einfach Leerzeichen als Trenner einfuegen
 */
$themesetting['title'] = $GLOBALS['sitename'];
$themesetting['slogan'] = $GLOBALS['slogan'];

/* Die Standardfarbe des Themes
 * Moegliche Farben sind: blue, gray, green, orange, red
 */
$themesetting['basecolor'] = 'orange';

/* folgendes nur, wenn Module geladen */
if (defined('MX_MODULE')) {
    /**
     * die Navigationsbuttons im header, wird in der
     * Funktion theme_define_placeholders() ausgewertet
     */

    $themesetting['headnav'][_HOME] = array(/* Startseite */
        'color' => '',
        'link' => './',
        'case' => array(
            defined('MX_HOME_FILE'),
            ));

    $themesetting['headnav'][_NEWSSHORT] = array(/* Newsmodul */
        'color' => 'red',
        'link' => 'modules.php?name=Stories_Archive',
        'case' => array(
            MX_MODULE == 'Stories_Archive',
            MX_MODULE == 'News',
            MX_MODULE == 'Submit_News',
            MX_MODULE == 'Topics',
            ));

    $themesetting['headnav'][_BBFORUM] = array(/* Forum */
        'color' => 'green',
        'link' => 'modules.php?name=Forum',
        'case' => array(
            MX_MODULE == 'Forum',
            MX_MODULE == 'Forums',
            MX_MODULE == 'eboard',
            ));

    $themesetting['headnav'][_GALLERY] = array(/* Bildergalerie */
        'color' => 'gray',
        'link' => 'modules.php?name=Gallery',
        'case' => array(
            MX_MODULE == 'Gallery',
            MX_MODULE == 'coppermine',
            ));

    $themesetting['headnav'][_DOWNLOADS] = array(/* Downloads */
        'color' => 'blue',
        'link' => 'modules.php?name=Downloads',
        'case' => array(
            MX_MODULE == 'Downloads',
            ));

    $themesetting['headnav'][_SEARCH] = array(/* Suche */
        'color' => '',
        'link' => 'modules.php?name=Search',
        'case' => array(
            MX_MODULE == 'Search',
            ));

    /**
     * Seiten, bei denen, die linken Bloecke nicht gezeigt werden sollen
     */
    $themesetting['noblock'] = array(/* Seiten/Module */
        MX_MODULE == 'admin',
        MX_MODULE === 'Gallery',
        MX_MODULE == 'coppermine',
        MX_MODULE == 'Forum',
        MX_MODULE == 'eboard',
        // MX_MODULE == 'Downloads' && $_REQUEST['cid'] == 61, // Downloads, Kategorie 61
        // $_REQUEST['name'] == 'Content' && $_REQUEST['pid'] == 28, // Contentmodul Id 28
        );
}
/* Ende nur Module */

/**
 * Standardfarben die im System und den Modulen verwendet werden
 */
global $bgcolor1;
$bgcolor1 = "#FFFFFF";
global $bgcolor2;
$bgcolor2 = "#EEEEEE";
global $bgcolor3;
$bgcolor3 = "#F7F7F7";
global $bgcolor4;
$bgcolor4 = "#E8E8E8";
global $textcolor1;
$textcolor1 = "#666666";
global $textcolor2;
$textcolor2 = "#666666";

/**
 * folgende Einstellungen sollten nicht veraendert werden
 */

/* Modul-Bloecke im passenden Design anzeigen */
$themesetting['blocknav']['style'] = 'sidemenu';
$themesetting['blocknav']['current'] = 'current';

/* definieren ob die Templates des Themes gecached werden koennen */
define('MX_THEME_CACHABLE', true);

/* Dateiname des templates */
define('MX_THIS_THEMEFILE', 'index.html');

?>
